=== debian/control ===
Source: ros-kinetic-ixblue-stdbin-decoder
Section: misc
Priority: optional
Maintainer: Romain Reignier <romain.reignier@ixblue.com>
Build-Depends: debhelper (>= 9.0.0), cmake, git, libboost-dev, libboost-system-dev, libgtest-dev
Homepage: http://wiki.ros.org/ixblue_stdbin_decoder
Standards-Version: 3.9.2

Package: ros-kinetic-ixblue-stdbin-decoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-system-dev, ros-kinetic-catkin
Description: iXblue parsing library for protocol iXblue stdbin
